Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Higgins » error while running higgins product
error while running higgins product [message #2450] Thu, 06 April 2006 09:01 Go to next message
Eclipse User
Originally posted by: ilona.gaweda.gridwisetech.com

Hi All,

I've interested in your project and tried to see the demo, but have a
problem.
I'm using Eclipse 3.1.1 downloaded all requiered (listened on webpage)
plugins and tried to start it using higgins.product file and got following
error log:


!SESSION 2006-04-06 14:46:49.582
-----------------------------------------------
eclipse.buildId=M20050929-0840
java.version=1.5.0_01
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=pl_PL
Framework arguments: -product org.eclipse.higgins.app.Demo -pdelaunch
Command-line arguments: -product org.eclipse.higgins.app.Demo -data
D:\documents\runtime-higgins.product -dev
file:D:/documents/higgins/.metadata/.plugins/org.eclipse.pde .core/higgins.product/dev.properties
-pdelaunch -os win32 -ws win32 -arch x86

!ENTRY org.eclipse.osgi 2006-04-06 14:46:51.355
!MESSAGE Bundle update@D:/documents/higgins/org.eclipse.higgins.app/ [49]
was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.355
!MESSAGE Missing required bundle org.eclipse.higgins.app.ui_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.355
!MESSAGE Missing required bundle org.eclipse.higgins.app.util_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.355
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.355
!MESSAGE Missing required bundle
org.eclipse.higgins.context.profileshare_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.355
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.355
!MESSAGE Missing required bundle org.eclipse.higgins.context.user_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 14:46:51.355
!MESSAGE Bundle update@D:/documents/higgins/org.eclipse.higgins.ui/ [50]
was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.355
!MESSAGE Missing required bundle org.eclipse.higgins.app.util_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.355
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 14:46:51.365
!MESSAGE Bundle update@D:/documents/higgins/org.eclipse.higgins.app.util/
[51] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.365
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.365
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 14:46:51.365
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.model/ [52] was
not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.365
!MESSAGE Missing required bundle org.eclipse.eodm_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.365
!MESSAGE Missing required bundle org.eclipse.eodm.rdf_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 14:46:51.365
!MESSAGE Bundle
update@D :/documents/higgins/org.eclipse.higgins.context.model.persis tence/
[53] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.365
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.365
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 14:46:51.365
!MESSAGE Bundle
update@D :/documents/higgins/org.eclipse.higgins.context.profileshare / [54]
was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.365
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.365
!MESSAGE Missing required bundle
org.eclipse.higgins.context.model.persistence_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.375
!MESSAGE Missing required bundle org.eclipse.higgins.context.share_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.375
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.375
!MESSAGE Missing required bundle org.eclipse.higgins.app.util_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.375
!MESSAGE Missing required bundle org.eclipse.higgins.app.ui_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 14:46:51.375
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.share/ [55] was
not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.375
!MESSAGE Missing required bundle
org.eclipse.higgins.context.model.persistence_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.375
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.375
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 14:46:51.375
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.store/ [56] was
not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.375
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 14:46:51.375
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.user/ [57] was not
resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.375
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.375
!MESSAGE Missing required bundle
org.eclipse.higgins.context.model.persistence_0.0.0.

!ENTRY org.eclipse.core.runtime 2006-04-06 14:46:51.385
!MESSAGE Product org.eclipse.higgins.app.Demo could not be found.

!ENTRY org.eclipse.osgi 2006-04-06 14:46:51.385
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: No application id has been found.
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(Pl atformActivator.java:204)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:376)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:163)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAcce ssorImpl.java:39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMe thodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:585)
at org.eclipse.core.launcher.Main.invokeFramework(Main.java:334 )
at org.eclipse.core.launcher.Main.basicRun(Main.java:278)
at org.eclipse.core.launcher.Main.run(Main.java:973)
at org.eclipse.core.launcher.Main.main(Main.java:948)

!ENTRY org.eclipse.osgi 2006-04-06 14:46:51.385
!MESSAGE Bundle update@D:/documents/higgins/org.eclipse.higgins.app/ [49]
was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.385
!MESSAGE Missing required bundle org.eclipse.higgins.app.ui_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.385
!MESSAGE Missing required bundle org.eclipse.higgins.app.util_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.385
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.385
!MESSAGE Missing required bundle
org.eclipse.higgins.context.profileshare_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.385
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.385
!MESSAGE Missing required bundle org.eclipse.higgins.context.user_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 14:46:51.385
!MESSAGE Bundle update@D:/documents/higgins/org.eclipse.higgins.ui/ [50]
was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.385
!MESSAGE Missing required bundle org.eclipse.higgins.app.util_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.385
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 14:46:51.385
!MESSAGE Bundle update@D:/documents/higgins/org.eclipse.higgins.app.util/
[51] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.385
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.385
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 14:46:51.385
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.model/ [52] was
not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.395
!MESSAGE Missing required bundle org.eclipse.eodm_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.395
!MESSAGE Missing required bundle org.eclipse.eodm.rdf_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 14:46:51.395
!MESSAGE Bundle
update@D :/documents/higgins/org.eclipse.higgins.context.model.persis tence/
[53] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.395
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.395
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 14:46:51.395
!MESSAGE Bundle
update@D :/documents/higgins/org.eclipse.higgins.context.profileshare / [54]
was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.395
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.395
!MESSAGE Missing required bundle
org.eclipse.higgins.context.model.persistence_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.395
!MESSAGE Missing required bundle org.eclipse.higgins.context.share_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.395
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.395
!MESSAGE Missing required bundle org.eclipse.higgins.app.util_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.395
!MESSAGE Missing required bundle org.eclipse.higgins.app.ui_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 14:46:51.395
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.share/ [55] was
not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.395
!MESSAGE Missing required bundle
org.eclipse.higgins.context.model.persistence_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.395
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.405
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 14:46:51.405
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.store/ [56] was
not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.405
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 14:46:51.405
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.user/ [57] was not
resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.405
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 14:46:51.405
!MESSAGE Missing required bundle
org.eclipse.higgins.context.model.persistence_0.0.0.

I would appreciate if you could tell me what am i doing wrong.

best
Ilona
Re: error while running higgins product [message #2480 is a reply to message #2450] Thu, 06 April 2006 09:51 Go to previous messageGo to next message
Eclipse User
Originally posted by: ilona.gaweda.gridwisetech.com

Upgraeded information....
I've searched few more informations, didn't have eodm.jar,
now I can start ECF server aplication, but starting Demo App (step 4 in
instruction)results with error:

!SESSION 2006-04-06 15:49:16.971
-----------------------------------------------
eclipse.buildId=unknown
java.version=1.5.0_01
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=pl_PL
Framework arguments: -application org.eclipse.higgins.app.RcpApplication
-pdelaunch
Command-line arguments: -application
org.eclipse.higgins.app.RcpApplication -data runtime\workspace -dev
file:D:/documents/higgins/.metadata/.plugins/org.eclipse.pde .core/Higgins
Demo App 1/dev.properties -pdelaunch -consoleLog -os win32 -ws win32 -arch
x86

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.882
!MESSAGE Bundle update@D:/documents/higgins/org.eclipse.higgins.app/ [38]
was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.882
!MESSAGE Missing required bundle org.eclipse.higgins.app.ui_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.882
!MESSAGE Missing required bundle org.eclipse.higgins.app.util_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.882
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.882
!MESSAGE Missing required bundle
org.eclipse.higgins.context.profileshare_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.882
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.882
!MESSAGE Missing required bundle org.eclipse.higgins.context.user_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.882
!MESSAGE Bundle update@D:/documents/higgins/org.eclipse.higgins.ui/ [39]
was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.882
!MESSAGE Missing required bundle org.eclipse.higgins.app.util_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.892
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.892
!MESSAGE Bundle update@D:/documents/higgins/org.eclipse.higgins.app.util/
[40] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.892
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.model/ [41] was
not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Missing required bundle org.eclipse.eodm_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Missing required bundle org.eclipse.eodm.rdf_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Bundle
update@D :/documents/higgins/org.eclipse.higgins.context.model.persis tence/
[42] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Bundle
update@D :/documents/higgins/org.eclipse.higgins.context.profileshare / [43]
was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Missing required bundle org.eclipse.ecf.sdo_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Missing required bundle org.eclipse.ecf_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Missing required bundle org.eclipse.ecf.provider_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Missing required bundle
org.eclipse.higgins.context.model.persistence_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Missing required bundle org.eclipse.higgins.context.share_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.912
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.912
!MESSAGE Missing required bundle org.eclipse.higgins.app.util_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.912
!MESSAGE Missing required bundle org.eclipse.higgins.app.ui_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.912
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.share/ [44] was
not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.912
!MESSAGE Missing required bundle org.eclipse.ecf_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.912
!MESSAGE Missing required bundle org.eclipse.ecf.sdo_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.912
!MESSAGE Missing required bundle
org.eclipse.higgins.context.model.persistence_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.912
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.912
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.922
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.store/ [45] was
not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.922
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.922
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.user/ [46] was not
resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.922
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.922
!MESSAGE Missing required bundle
org.eclipse.higgins.context.model.persistence_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.922
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: Application
"org.eclipse.higgins.app.RcpApplication" could not be found in the
registry. The applications available are: org.eclipse.ant.core.antRunner,
org.eclipse.ui.ide.workbench, org.eclipse.update.core.standaloneUpdate.
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(Pl atformActivator.java:216)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:376)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:163)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAcce ssorImpl.java:39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMe thodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:585)
at org.eclipse.core.launcher.Main.invokeFramework(Main.java:334 )
at org.eclipse.core.launcher.Main.basicRun(Main.java:278)
at org.eclipse.core.launcher.Main.run(Main.java:973)
at org.eclipse.core.launcher.Main.main(Main.java:948)

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Bundle update@D:/documents/higgins/org.eclipse.higgins.app/ [38]
was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Missing required bundle org.eclipse.higgins.app.ui_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Missing required bundle org.eclipse.higgins.app.util_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Missing required bundle
org.eclipse.higgins.context.profileshare_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Missing required bundle org.eclipse.higgins.context.user_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Bundle update@D:/documents/higgins/org.eclipse.higgins.ui/ [39]
was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Missing required bundle org.eclipse.higgins.app.util_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Bundle update@D:/documents/higgins/org.eclipse.higgins.app.util/
[40] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.model/ [41] was
not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Missing required bundle org.eclipse.eodm_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.942
!MESSAGE Missing required bundle org.eclipse.eodm.rdf_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.942
!MESSAGE Bundle
update@D :/documents/higgins/org.eclipse.higgins.context.model.persis tence/
[42] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.942
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.942
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.942
!MESSAGE Bundle
update@D :/documents/higgins/org.eclipse.higgins.context.profileshare / [43]
was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.942
!MESSAGE Missing required bundle org.eclipse.ecf.sdo_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.942
!MESSAGE Missing required bundle org.eclipse.ecf_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.942
!MESSAGE Missing required bundle org.eclipse.ecf.provider_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.942
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.942
!MESSAGE Missing required bundle
org.eclipse.higgins.context.model.persistence_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Missing required bundle org.eclipse.higgins.context.share_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Missing required bundle org.eclipse.higgins.app.util_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Missing required bundle org.eclipse.higgins.app.ui_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.share/ [44] was
not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Missing required bundle org.eclipse.ecf_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Missing required bundle org.eclipse.ecf.sdo_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Missing required bundle
org.eclipse.higgins.context.model.persistence_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.store/ [45] was
not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.982
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.user/ [46] was not
resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.982
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.982
!MESSAGE Missing required bundle
org.eclipse.higgins.context.model.persistence_0.0.0.

sorry for trouble, thanks
Ilona
Re: error while running higgins product [message #2510 is a reply to message #2480] Mon, 10 April 2006 03:30 Go to previous messageGo to next message
Eclipse User
Originally posted by: ilona.gaweda.gridwisetech.com

I still have a problem, I've tried to downoload all from scratch paying
attention to get right versions. I base on
http://www.eclipse.org/higgins/downloads.html

have:
eclipse 3.1.0
emf 2.1.0
eodm 1.1.1 (only version available currently on IBM site, additionally
when I copy it to ...context.model/lib directory I still have the
"eclipse.org.eodm cannot be resolved" error in manifest and error mark
dependencies of context.model)

and I want to get ecf the requierd versions says 0.7.1 but there is only
0.7.5 and newer available on ecf downlowd site. Additionally ecf 0.7.5
requiers emf version 2.1.2(sic!).

How should I deal with it ?

thanks
Ilona
Re: error while running higgins product [message #2539 is a reply to message #2510] Wed, 12 April 2006 15:13 Go to previous messageGo to next message
Eclipse User
Originally posted by: peterb.cequs.com

This is a multi-part message in MIME format.

------=_NextPart_000_002B_01C65E43.A5C97160
Content-Type: text/plain;
charset="iso-8859-15"
Content-Transfer-Encoding: quoted-printable

Hi Ilona,

Don't use the IBM version from the semantic toolkit. Use the Eclipse EMF =
version instead, (and remove or disable the IBM version since
it has a higher version number which I assume Eclipse would normally =
use). You may want to check and see if you have
a cached version of the installation instructions in your browser this =
seems to be more current.=20

http://www.eclipse.org/higgins/downloads.php

This configuration works in my environment.

org.eclipse.emf (2.1.2) "Eclipse Modeling Framework (EMF)"
org.eclipse.emf.doc (2.1.2) "Eclipse Modeling Framework (EMF) =
Programmers Guide"
org.eclipse.emf.ecore.sdo (2.1.1) "EMF Service Data Objects (SDO)"
org.eclipse.emf.ecore.sdo.doc (2.1.1) "EMF Service Data Objects (SDO) =
Programmers Guide"
org.eclipse.emf.ecore.sdo.source (2.1.1) "EMF Service Data Objects (SDO) =
Source"
org.eclipse.emf.source (2.1.2) "Eclipse Modeling Framework (EMF) Source"
org.eclipse.eodm (1.0.0.v200603021130--D8G8P88GP) "EODM (EMF-based =
Ontology Definition Metamodel)"
org.eclipse.eodm.doc (1.0.0.v200603021130--425282258) "Eclipse Modeling =
Framework Technology EODM Documentation"
org.eclipse.eodm.examples (1.0.0.v200603021130--425282258) "EODM =
Examples"
org.eclipse.eodm.source (1.0.0.v200603021130) "EODM Source"

Once you start up the ECF from the launcher, check the required plugins =
for Demo App. If they check out ok,
then it should run and the demo apps will working. Otherwise you may get =
an OSGI error.

thanks,


-=FEb=20

------------------------------------------------------------ -------------=
-------



"Ilona Gaweda" <ilona.gaweda@gridwisetech.com> wrote in message =
news:3474cacbd35bae58b69a92bc1940be6e$1@www.eclipse.org...
>I still have a problem, I've tried to downoload all from scratch paying =

> attention to get right versions. I base on=20
> http://www.eclipse.org/higgins/downloads.html
>=20
> have:
> eclipse 3.1.0=20
> emf 2.1.0
> eodm 1.1.1 (only version available currently on IBM site, additionally =

> when I copy it to ...context.model/lib directory I still have the=20
> "eclipse.org.eodm cannot be resolved" error in manifest and error mark =

> dependencies of context.model)
>=20
> and I want to get ecf the requierd versions says 0.7.1 but there is =
only=20
> 0.7.5 and newer available on ecf downlowd site. Additionally ecf 0.7.5 =

> requiers emf version 2.1.2(sic!).=20
>=20
> How should I deal with it ?=20
>=20
> thanks=20
> Ilona
>
------=_NextPart_000_002B_01C65E43.A5C97160
Content-Type: text/html;
charset="iso-8859-15"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD>
<META http-equiv=3DContent-Type content=3D"text/html; =
charset=3Diso-8859-15">
<META content=3D"MSHTML 6.00.5335.5" name=3DGENERATOR>
<STYLE></STYLE>
</HEAD>
<BODY>
<DIV><FONT face=3DArial size=3D2>Hi Ilona,</FONT></DIV>
<DIV><FONT face=3DArial size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT face=3DArial size=3D2>Don't use the IBM version from the =
semantic=20
toolkit. Use the Eclipse&nbsp;EMF version instead, (and remove or=20
disable&nbsp;the IBM version since</FONT></DIV>
<DIV><FONT face=3DArial size=3D2>it has a higher version number which I =
assume=20
Eclipse would normally use). You may want to check and see if you=20
have</FONT></DIV>
<DIV><FONT face=3DArial size=3D2>a cached version of the installation =
instructions=20
in your browser this seems to be more current.&nbsp;</FONT></DIV>
<DIV><FONT face=3DArial size=3D2></FONT>&nbsp;</DIV>
<DIV><A href=3D"http://www.eclipse.org/higgins/downloads.php"><FONT =
face=3DArial=20
size=3D2>http://www.eclipse.org/higgins/downloads.php</FONT></A></DIV>
<DIV><FONT face=3DArial size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT face=3DArial size=3D2>This configuration works in my=20
environment.</FONT></DIV>
<DIV><FONT face=3DArial size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT face=3DArial size=3D2>org.eclipse.emf (2.1.2) "Eclipse =
Modeling Framework=20
(EMF)"<BR>org.eclipse.emf.doc (2.1.2) "Eclipse Modeling Framework (EMF)=20
Programmers Guide"<BR>org.eclipse.emf.ecore.sdo (2.1.1) "EMF Service =
Data=20
Objects (SDO)"<BR>org.eclipse.emf.ecore.sdo.doc (2.1.1) "EMF Service =
Data=20
Objects (SDO) Programmers Guide"<BR>org.eclipse.emf.ecore.sdo.source =
(2.1.1)=20
"EMF Service Data Objects (SDO) Source"<BR>org.eclipse.emf.source =
(2.1.2)=20
"Eclipse Modeling Framework (EMF) Source"<BR>org.eclipse.eodm=20
(1.0.0.v200603021130--D8G8P88GP) "EODM (EMF-based Ontology Definition=20
Metamodel)"<BR>org.eclipse.eodm.doc (1.0.0.v200603021130--425282258) =
"Eclipse=20
Modeling Framework Technology EODM =
Documentation"<BR>org.eclipse.eodm.examples=20
(1.0.0.v200603021130--425282258) "EODM =
Examples"<BR>org.eclipse.eodm.source=20
(1.0.0.v200603021130) "EODM Source"</FONT></DIV>
<DIV><FONT face=3DArial size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT face=3DArial size=3D2>Once you start up the ECF from =
the&nbsp; launcher,=20
check the required plugins for Demo App. If they check out =
ok,</FONT></DIV>
<DIV><FONT face=3DArial size=3D2>then it should run and the demo apps =
will working.=20
Otherwise you&nbsp;may get&nbsp;an OSGI error.</FONT></DIV>
<DIV><FONT face=3DArial size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT face=3DArial size=3D2>thanks,</FONT></DIV>
<DIV><FONT face=3DArial size=3D2></FONT>&nbsp;</DIV>
<DIV>&nbsp;</DIV>-=FEb=20
<DIV><FONT face=3DArial size=3D2><SPAN class=3Dentity>
<HR>
</FONT></DIV>
<DIV><FONT face=3DArial size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT face=3DArial size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT face=3DArial size=3D2>"Ilona Gaweda" &lt;</FONT><A=20
href=3D"mailto:ilona.gaweda@gridwisetech.com"><FONT face=3DArial=20
size=3D2>ilona.gaweda@gridwisetech.com</FONT></A><FONT face=3DArial =
size=3D2>&gt;=20
wrote in message </FONT><A=20
href=3D"news:3474cacbd35bae58b69a92bc1940be6e$1@www.eclipse.org"><FONT =
face=3DArial=20
size=3D2>news:3474cacbd35bae58b69a92bc1940be6e$1@www.eclipse.org</FONT></=
A><FONT=20
face=3DArial size=3D2>...</FONT></DIV><FONT face=3DArial size=3D2>&gt;I =
still have a=20
problem, I've tried to downoload all from scratch paying <BR>&gt; =
attention to=20
get right versions. I base on <BR>&gt; </FONT><A=20
href=3D"http://www.eclipse.org/higgins/downloads.html"><FONT =
face=3DArial=20
size=3D2>http://www.eclipse.org/higgins/downloads.html</FONT></A><BR><FON=
T=20
face=3DArial size=3D2>&gt; <BR>&gt; have:<BR>&gt; eclipse 3.1.0 <BR>&gt; =
emf=20
2.1.0<BR>&gt; eodm 1.1.1 (only version available currently on IBM site,=20
additionally <BR>&gt; when I copy it to ...context.model/lib directory I =
still=20
have the <BR>&gt; "eclipse.org.eodm cannot be resolved" error in =
manifest and=20
error mark <BR>&gt; dependencies of context.model)<BR>&gt; <BR>&gt; and =
I want=20
to get ecf the requierd versions says 0.7.1 but there is only <BR>&gt; =
0.7.5 and=20
newer available on ecf downlowd site. Additionally ecf 0.7.5 <BR>&gt; =
requiers=20
emf version 2.1.2(sic!). <BR>&gt; <BR>&gt; How should I deal with it ? =
<BR>&gt;=20
<BR>&gt; thanks <BR>&gt; Ilona<BR>&gt;</FONT> </SPAN></BODY></HTML>

------=_NextPart_000_002B_01C65E43.A5C97160--
Re: error while running higgins product [message #2598 is a reply to message #2539] Thu, 13 April 2006 11:14 Go to previous messageGo to next message
Eclipse User
Originally posted by: mary.socialphysics.org

Pete,

Thanks for posting the answer.
Re: error while running higgins product [message #4181 is a reply to message #2539] Thu, 20 April 2006 04:27 Go to previous message
Eclipse User
Originally posted by: ilona.gaweda.gridwisetech.com

Hi

thanks for your answer I eventually manage to run it. You probabely what
to emphasise somewhere that one have to add requierd plugins(click it)
before starting demo app

take care
-ig
Re: error while running higgins product [message #561569 is a reply to message #2450] Thu, 06 April 2006 09:51 Go to previous message
Eclipse User
Originally posted by: ilona.gaweda.gridwisetech.com

Upgraeded information....
I've searched few more informations, didn't have eodm.jar,
now I can start ECF server aplication, but starting Demo App (step 4 in
instruction)results with error:

!SESSION 2006-04-06 15:49:16.971
-----------------------------------------------
eclipse.buildId=unknown
java.version=1.5.0_01
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=pl_PL
Framework arguments: -application org.eclipse.higgins.app.RcpApplication
-pdelaunch
Command-line arguments: -application
org.eclipse.higgins.app.RcpApplication -data runtime\workspace -dev
file:D:/documents/higgins/.metadata/.plugins/org.eclipse.pde .core/Higgins
Demo App 1/dev.properties -pdelaunch -consoleLog -os win32 -ws win32 -arch
x86

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.882
!MESSAGE Bundle update@D:/documents/higgins/org.eclipse.higgins.app/ [38]
was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.882
!MESSAGE Missing required bundle org.eclipse.higgins.app.ui_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.882
!MESSAGE Missing required bundle org.eclipse.higgins.app.util_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.882
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.882
!MESSAGE Missing required bundle
org.eclipse.higgins.context.profileshare_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.882
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.882
!MESSAGE Missing required bundle org.eclipse.higgins.context.user_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.882
!MESSAGE Bundle update@D:/documents/higgins/org.eclipse.higgins.ui/ [39]
was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.882
!MESSAGE Missing required bundle org.eclipse.higgins.app.util_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.892
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.892
!MESSAGE Bundle update@D:/documents/higgins/org.eclipse.higgins.app.util/
[40] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.892
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.model/ [41] was
not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Missing required bundle org.eclipse.eodm_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Missing required bundle org.eclipse.eodm.rdf_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Bundle
update@D :/documents/higgins/org.eclipse.higgins.context.model.persis tence/
[42] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Bundle
update@D :/documents/higgins/org.eclipse.higgins.context.profileshare / [43]
was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Missing required bundle org.eclipse.ecf.sdo_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Missing required bundle org.eclipse.ecf_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Missing required bundle org.eclipse.ecf.provider_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Missing required bundle
org.eclipse.higgins.context.model.persistence_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.902
!MESSAGE Missing required bundle org.eclipse.higgins.context.share_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.912
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.912
!MESSAGE Missing required bundle org.eclipse.higgins.app.util_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.912
!MESSAGE Missing required bundle org.eclipse.higgins.app.ui_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.912
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.share/ [44] was
not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.912
!MESSAGE Missing required bundle org.eclipse.ecf_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.912
!MESSAGE Missing required bundle org.eclipse.ecf.sdo_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.912
!MESSAGE Missing required bundle
org.eclipse.higgins.context.model.persistence_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.912
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.912
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.922
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.store/ [45] was
not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.922
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.922
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.user/ [46] was not
resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.922
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.922
!MESSAGE Missing required bundle
org.eclipse.higgins.context.model.persistence_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.922
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: Application
"org.eclipse.higgins.app.RcpApplication" could not be found in the
registry. The applications available are: org.eclipse.ant.core.antRunner,
org.eclipse.ui.ide.workbench, org.eclipse.update.core.standaloneUpdate.
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(Pl atformActivator.java:216)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:376)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:163)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAcce ssorImpl.java:39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMe thodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:585)
at org.eclipse.core.launcher.Main.invokeFramework(Main.java:334 )
at org.eclipse.core.launcher.Main.basicRun(Main.java:278)
at org.eclipse.core.launcher.Main.run(Main.java:973)
at org.eclipse.core.launcher.Main.main(Main.java:948)

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Bundle update@D:/documents/higgins/org.eclipse.higgins.app/ [38]
was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Missing required bundle org.eclipse.higgins.app.ui_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Missing required bundle org.eclipse.higgins.app.util_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Missing required bundle
org.eclipse.higgins.context.profileshare_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Missing required bundle org.eclipse.higgins.context.user_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Bundle update@D:/documents/higgins/org.eclipse.higgins.ui/ [39]
was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Missing required bundle org.eclipse.higgins.app.util_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Bundle update@D:/documents/higgins/org.eclipse.higgins.app.util/
[40] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.model/ [41] was
not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.932
!MESSAGE Missing required bundle org.eclipse.eodm_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.942
!MESSAGE Missing required bundle org.eclipse.eodm.rdf_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.942
!MESSAGE Bundle
update@D :/documents/higgins/org.eclipse.higgins.context.model.persis tence/
[42] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.942
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.942
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.942
!MESSAGE Bundle
update@D :/documents/higgins/org.eclipse.higgins.context.profileshare / [43]
was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.942
!MESSAGE Missing required bundle org.eclipse.ecf.sdo_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.942
!MESSAGE Missing required bundle org.eclipse.ecf_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.942
!MESSAGE Missing required bundle org.eclipse.ecf.provider_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.942
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.942
!MESSAGE Missing required bundle
org.eclipse.higgins.context.model.persistence_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Missing required bundle org.eclipse.higgins.context.share_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Missing required bundle org.eclipse.higgins.app.util_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Missing required bundle org.eclipse.higgins.app.ui_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.share/ [44] was
not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Missing required bundle org.eclipse.ecf_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Missing required bundle org.eclipse.ecf.sdo_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Missing required bundle
org.eclipse.higgins.context.model.persistence_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Missing required bundle org.eclipse.higgins.context.store_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.store/ [45] was
not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.952
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.

!ENTRY org.eclipse.osgi 2006-04-06 15:49:17.982
!MESSAGE Bundle
update@D:/documents/higgins/org.eclipse.higgins.context.user/ [46] was not
resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.982
!MESSAGE Missing required bundle org.eclipse.higgins.context.model_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2006-04-06 15:49:17.982
!MESSAGE Missing required bundle
org.eclipse.higgins.context.model.persistence_0.0.0.

sorry for trouble, thanks
Ilona
Re: error while running higgins product [message #561588 is a reply to message #2480] Mon, 10 April 2006 03:30 Go to previous message
Eclipse User
Originally posted by: ilona.gaweda.gridwisetech.com

I still have a problem, I've tried to downoload all from scratch paying
attention to get right versions. I base on
http://www.eclipse.org/higgins/downloads.html

have:
eclipse 3.1.0
emf 2.1.0
eodm 1.1.1 (only version available currently on IBM site, additionally
when I copy it to ...context.model/lib directory I still have the
"eclipse.org.eodm cannot be resolved" error in manifest and error mark
dependencies of context.model)

and I want to get ecf the requierd versions says 0.7.1 but there is only
0.7.5 and newer available on ecf downlowd site. Additionally ecf 0.7.5
requiers emf version 2.1.2(sic!).

How should I deal with it ?

thanks
Ilona
Re: error while running higgins product [message #561608 is a reply to message #2510] Wed, 12 April 2006 15:13 Go to previous message
Eclipse User
Originally posted by: peterb.cequs.com

This is a multi-part message in MIME format.

------=_NextPart_000_002B_01C65E43.A5C97160
Content-Type: text/plain;
charset="iso-8859-15"
Content-Transfer-Encoding: quoted-printable

Hi Ilona,

Don't use the IBM version from the semantic toolkit. Use the Eclipse EMF =
version instead, (and remove or disable the IBM version since
it has a higher version number which I assume Eclipse would normally =
use). You may want to check and see if you have
a cached version of the installation instructions in your browser this =
seems to be more current.=20

http://www.eclipse.org/higgins/downloads.php

This configuration works in my environment.

org.eclipse.emf (2.1.2) "Eclipse Modeling Framework (EMF)"
org.eclipse.emf.doc (2.1.2) "Eclipse Modeling Framework (EMF) =
Programmers Guide"
org.eclipse.emf.ecore.sdo (2.1.1) "EMF Service Data Objects (SDO)"
org.eclipse.emf.ecore.sdo.doc (2.1.1) "EMF Service Data Objects (SDO) =
Programmers Guide"
org.eclipse.emf.ecore.sdo.source (2.1.1) "EMF Service Data Objects (SDO) =
Source"
org.eclipse.emf.source (2.1.2) "Eclipse Modeling Framework (EMF) Source"
org.eclipse.eodm (1.0.0.v200603021130--D8G8P88GP) "EODM (EMF-based =
Ontology Definition Metamodel)"
org.eclipse.eodm.doc (1.0.0.v200603021130--425282258) "Eclipse Modeling =
Framework Technology EODM Documentation"
org.eclipse.eodm.examples (1.0.0.v200603021130--425282258) "EODM =
Examples"
org.eclipse.eodm.source (1.0.0.v200603021130) "EODM Source"

Once you start up the ECF from the launcher, check the required plugins =
for Demo App. If they check out ok,
then it should run and the demo apps will working. Otherwise you may get =
an OSGI error.

thanks,


-=FEb=20

------------------------------------------------------------ -------------=
-------



"Ilona Gaweda" <ilona.gaweda@gridwisetech.com> wrote in message =
news:3474cacbd35bae58b69a92bc1940be6e$1@www.eclipse.org...
>I still have a problem, I've tried to downoload all from scratch paying =

> attention to get right versions. I base on=20
> http://www.eclipse.org/higgins/downloads.html
>=20
> have:
> eclipse 3.1.0=20
> emf 2.1.0
> eodm 1.1.1 (only version available currently on IBM site, additionally =

> when I copy it to ...context.model/lib directory I still have the=20
> "eclipse.org.eodm cannot be resolved" error in manifest and error mark =

> dependencies of context.model)
>=20
> and I want to get ecf the requierd versions says 0.7.1 but there is =
only=20
> 0.7.5 and newer available on ecf downlowd site. Additionally ecf 0.7.5 =

> requiers emf version 2.1.2(sic!).=20
>=20
> How should I deal with it ?=20
>=20
> thanks=20
> Ilona
>
------=_NextPart_000_002B_01C65E43.A5C97160
Content-Type: text/html;
charset="iso-8859-15"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD>
<META http-equiv=3DContent-Type content=3D"text/html; =
charset=3Diso-8859-15">
<META content=3D"MSHTML 6.00.5335.5" name=3DGENERATOR>
<STYLE></STYLE>
</HEAD>
<BODY>
<DIV><FONT face=3DArial size=3D2>Hi Ilona,</FONT></DIV>
<DIV><FONT face=3DArial size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT face=3DArial size=3D2>Don't use the IBM version from the =
semantic=20
toolkit. Use the Eclipse&nbsp;EMF version instead, (and remove or=20
disable&nbsp;the IBM version since</FONT></DIV>
<DIV><FONT face=3DArial size=3D2>it has a higher version number which I =
assume=20
Eclipse would normally use). You may want to check and see if you=20
have</FONT></DIV>
<DIV><FONT face=3DArial size=3D2>a cached version of the installation =
instructions=20
in your browser this seems to be more current.&nbsp;</FONT></DIV>
<DIV><FONT face=3DArial size=3D2></FONT>&nbsp;</DIV>
<DIV><A href=3D"http://www.eclipse.org/higgins/downloads.php"><FONT =
face=3DArial=20
size=3D2>http://www.eclipse.org/higgins/downloads.php</FONT></A></DIV>
<DIV><FONT face=3DArial size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT face=3DArial size=3D2>This configuration works in my=20
environment.</FONT></DIV>
<DIV><FONT face=3DArial size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT face=3DArial size=3D2>org.eclipse.emf (2.1.2) "Eclipse =
Modeling Framework=20
(EMF)"<BR>org.eclipse.emf.doc (2.1.2) "Eclipse Modeling Framework (EMF)=20
Programmers Guide"<BR>org.eclipse.emf.ecore.sdo (2.1.1) "EMF Service =
Data=20
Objects (SDO)"<BR>org.eclipse.emf.ecore.sdo.doc (2.1.1) "EMF Service =
Data=20
Objects (SDO) Programmers Guide"<BR>org.eclipse.emf.ecore.sdo.source =
(2.1.1)=20
"EMF Service Data Objects (SDO) Source"<BR>org.eclipse.emf.source =
(2.1.2)=20
"Eclipse Modeling Framework (EMF) Source"<BR>org.eclipse.eodm=20
(1.0.0.v200603021130--D8G8P88GP) "EODM (EMF-based Ontology Definition=20
Metamodel)"<BR>org.eclipse.eodm.doc (1.0.0.v200603021130--425282258) =
"Eclipse=20
Modeling Framework Technology EODM =
Documentation"<BR>org.eclipse.eodm.examples=20
(1.0.0.v200603021130--425282258) "EODM =
Examples"<BR>org.eclipse.eodm.source=20
(1.0.0.v200603021130) "EODM Source"</FONT></DIV>
<DIV><FONT face=3DArial size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT face=3DArial size=3D2>Once you start up the ECF from =
the&nbsp; launcher,=20
check the required plugins for Demo App. If they check out =
ok,</FONT></DIV>
<DIV><FONT face=3DArial size=3D2>then it should run and the demo apps =
will working.=20
Otherwise you&nbsp;may get&nbsp;an OSGI error.</FONT></DIV>
<DIV><FONT face=3DArial size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT face=3DArial size=3D2>thanks,</FONT></DIV>
<DIV><FONT face=3DArial size=3D2></FONT>&nbsp;</DIV>
<DIV>&nbsp;</DIV>-=FEb=20
<DIV><FONT face=3DArial size=3D2><SPAN class=3Dentity>
<HR>
</FONT></DIV>
<DIV><FONT face=3DArial size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT face=3DArial size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT face=3DArial size=3D2>"Ilona Gaweda" &lt;</FONT><A=20
href=3D"mailto:ilona.gaweda@gridwisetech.com"><FONT face=3DArial=20
size=3D2>ilona.gaweda@gridwisetech.com</FONT></A><FONT face=3DArial =
size=3D2>&gt;=20
wrote in message </FONT><A=20
href=3D"news:3474cacbd35bae58b69a92bc1940be6e$1@www.eclipse.org"><FONT =
face=3DArial=20
size=3D2>news:3474cacbd35bae58b69a92bc1940be6e$1@www.eclipse.org</FONT></=
A><FONT=20
face=3DArial size=3D2>...</FONT></DIV><FONT face=3DArial size=3D2>&gt;I =
still have a=20
problem, I've tried to downoload all from scratch paying <BR>&gt; =
attention to=20
get right versions. I base on <BR>&gt; </FONT><A=20
href=3D"http://www.eclipse.org/higgins/downloads.html"><FONT =
face=3DArial=20
size=3D2>http://www.eclipse.org/higgins/downloads.html</FONT></A><BR><FON=
T=20
face=3DArial size=3D2>&gt; <BR>&gt; have:<BR>&gt; eclipse 3.1.0 <BR>&gt; =
emf=20
2.1.0<BR>&gt; eodm 1.1.1 (only version available currently on IBM site,=20
additionally <BR>&gt; when I copy it to ...context.model/lib directory I =
still=20
have the <BR>&gt; "eclipse.org.eodm cannot be resolved" error in =
manifest and=20
error mark <BR>&gt; dependencies of context.model)<BR>&gt; <BR>&gt; and =
I want=20
to get ecf the requierd versions says 0.7.1 but there is only <BR>&gt; =
0.7.5 and=20
newer available on ecf downlowd site. Additionally ecf 0.7.5 <BR>&gt; =
requiers=20
emf version 2.1.2(sic!). <BR>&gt; <BR>&gt; How should I deal with it ? =
<BR>&gt;=20
<BR>&gt; thanks <BR>&gt; Ilona<BR>&gt;</FONT> </SPAN></BODY></HTML>

------=_NextPart_000_002B_01C65E43.A5C97160--
Re: error while running higgins product [message #561661 is a reply to message #2539] Thu, 13 April 2006 11:14 Go to previous message
Mary Ruddy is currently offline Mary Ruddy
Messages: 21
Registered: July 2009
Junior Member
Pete,

Thanks for posting the answer.
Re: error while running higgins product [message #561781 is a reply to message #2539] Thu, 20 April 2006 04:27 Go to previous message
Eclipse User
Originally posted by: ilona.gaweda.gridwisetech.com

Hi

thanks for your answer I eventually manage to run it. You probabely what
to emphasise somewhere that one have to add requierd plugins(click it)
before starting demo app

take care
-ig
Previous Topic:Problem Running Demo App and Saving Context
Next Topic:Novell plugs Bandit for ID management ("...will make use of Higgins")
Goto Forum:
  


Current Time: Thu Jul 24 04:31:31 EDT 2014

Powered by FUDForum. Page generated in 0.19803 seconds